LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XUpdatable Interface Referencepublished

is supported by objects with data that can be updated from a data source. More...

`import"XUpdatable.idl";`

Inheritance diagram for XUpdatable:

## Public Member Functions
void | update ()
| refreshes the data of the object from the connected data source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is supported by objects with data that can be updated from a data source.

## Member Function Documentation

## ◆ update()

void update | ( |  | ) |

refreshes the data of the object from the connected data source.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XUpdatable.idl